//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//COPYRIGHT (c) 2003 European Southern Observatory 
//LICENSE 
//
//PROJECT: VLT Data Flow System 
//AUTHOR: Olivier Chuzel - ESO/DMD/DFS 
//SUBSYSTEM: CreateAB 
//CI NUMBER: DFS-XXX-NNN 
//
//Created on Jun 14, 2005
//Name:  DataTransportFormatHandler.java
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

package org.eso.oca.fits;

/**
 * @author ochuzel
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public interface DataTransportFormatHandler {
    public TypedHeaderCard[] getFITSCards(int hdu) 
    throws FileHandlerException, TypedHeaderCardException; 

    public TypedHeaderCard[] getFITSCards(int hdu, String[] requestedCards) 
    throws FileHandlerException, TypedHeaderCardException; 
    
    public int getNumberOfHDUs() throws FileHandlerException, TypedHeaderCardException;

}
