package org.eso.util.requesthandler;

/**
 * Implementation of a ngas host. A ngas host is identified by a unique integer.
 * Currently, a NgsaHost instance will contain the host name and the domain it
 * belongs to.
 * 
 * @author cmoins
 * 
 */

// RIL: Is this used anywhere?
// Used for a join query in NgasFile.hbm.xml
public class NgasHost {
    // host identifier
    private Long dbId;
    // host name
    private String hostId;
    // Domain the host belongs to.
    private String domain;

    public Long getDbId() {
        return dbId;
    }

    public void setDbId(Long dbId) {
        this.dbId = dbId;
    }

    public String getHostId() {
        return hostId;
    }

    public void setHostId(String hostId) {
        this.hostId = hostId;
    }

    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }
}
