/**
 * @author N. Kornweibel
 * @version 1.0
 * A representation of a Keyword expression in Gasgano which
 * evaluates to a boolean value.
 */

package org.eso.gasgano.keyword;

public interface BoolKeywordExpr {

    public boolean evaluate(KeywordSet s) 
        throws ExpressionEvaluationException;

}
// end of file BoolKeywordExpr.java
