package org.eso.util.dal;

import java.util.List;

/**
 * MdFileDAO interface.
 * 
 * @author Vincenzo Forchi` <vforchi@eso.org>
 */
public interface MdFileDAO {
	
	/**
	 * Deletes the specified md file from the repository.
	 * @param mdFile
	 * @throws DAOException
	 */
	public int deleteByDiskNameAndFileId(String name, String fileId) throws DAOException;
}
