package org.eso.util.datatransfer;

/**
 * Interface for a TransferRequest validator used by the data transfer applications.
 * 
 * @author szampier
 */
public interface TransferRequestValidator {
	/**
	 * Returns true if the given TransferRequest is valid. False otherwise.
	 * @param tr The TransferRequest to validate.
	 * @return true if the given TransferRequest is valid. False otherwise.
	 */
	boolean isValid(TransferRequest tr);
}
