package org.eso.cpl;

/**
 * Exception thrown to indicate that an error has occurred in the CPL.
 * system.
 *
 * @author   Mark Taylor
 */
public class CPLException extends Exception {

    public CPLException() {
        super();
    }

    public CPLException(String msg) {
        super(msg);
    }

    public CPLException(String msg, Throwable cause) {
        super(msg, cause);
    }

    public CPLException(Throwable cause) {
        super(cause);
    }
}
