package org.eso.cpl;

/**
 * Exception thrown to indicate that an attempt has been made to set
 * the value of a parameter to an illegal value. 
 *
 * @author   Mark Taylor
 */
public class ParameterValueException extends Exception {

    public ParameterValueException() {
        super();
    }

    public ParameterValueException(String msg) {
        super(msg);
    }

    public ParameterValueException(String msg, Throwable cause) {
        super(msg, cause);
    }

    public ParameterValueException(Throwable cause) {
        super(cause);
    }
}
